Debian Bug report logs - #499137
Error message showing different code

version graph

Package: ghc6; Maintainer for ghc6 is Kari Pahula <kaol@debian.org>; Source for ghc6 is src:ghc.

Reported by: Marco Túlio Gontijo e Silva <marcot@debian.org>

Date: Tue, 16 Sep 2008 13:42:16 UTC

Severity: minor

Tags: fixed-upstream, upstream

Found in version ghc6/6.8.2-6

Fixed in version ghc6/6.10.1+dfsg1-1

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/2601

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#499137; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Error message showing different code
Date: Tue, 16 Sep 2008 10:36:42 -0300
Package: ghc6
Version: 6.8.2-6
Severity: minor

I was trying to compile the code:

import System.Environment
import System.Cmd

main
  = do
    -- Necessary to work with buggy evolution external editor plugin
    args <- filter (/= "--nofork") getArgs
    if null args
      then system $ "emacsclient --alternate-editor emacs " ++ unwords args
      else system $ "emacs " ++ unwords args

with ghc6, and I got the following error message:

[1 of 1] Compiling Main             ( editor.hs, editor.o )

editor.hs:7:35:
    Couldn't match expected type `[[Char]]'
           against inferred type `IO [String]'
    In the second argument of `filter', namely `getArgs'
    In a 'do' expression: args <- filter ((/= "--nofork")) getArgs
    In the expression:
        do args <- filter ((/= "--nofork")) getArgs
           if null args then
                 system $ "emacsclient --alternate-editor emacs " ++ unwords args
           else  system $ "emacs " ++ unwords args

My problem is with the (( )) added by GHC.  I know it's just a small
difference, but I think it'd be good to have the same code as written in the
source file shown in the error message.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.3.2-1      The GNU C compiler
ii  haskell-utils             1.11           Utilities used by the Debian Haske
ii  libc6                     2.7-13         GNU C Library: Shared libraries
ii  libgmp3-dev               2:4.2.2+dfsg-3 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.2.2+dfsg-3 Multiprecision arithmetic library
ii  libncurses5               5.6+20080907-1 shared libraries for terminal hand
ii  libreadline5              5.2-3          GNU readline and history libraries
ii  libreadline5-dev          5.2-3          GNU readline and history libraries
ii  perl [perl5]              5.10.0-14      Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
ii  ghc6-doc                      6.8.2-6    Documentation for the Glasgow Hask
pn  ghc6-prof                     <none>     (no description available)
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Noted your statement that Bug has been forwarded to http://hackage.haskell.org/trac/ghc/ticket/2601. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Tue, 16 Sep 2008 14:36:02 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Tue, 16 Sep 2008 14:36:04 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Wed, 17 Sep 2008 15:03:21 GMT) Full text and rfc822 format available.

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Mon, 19 Jan 2009 13:39:13 GMT) Full text and rfc822 format available.

Notification sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Bug acknowledged by developer. (Mon, 19 Jan 2009 13:39:13 GMT) Full text and rfc822 format available.

Message #16 received at 499137-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 499137-close@bugs.debian.org
Subject: Bug#499137: fixed in ghc6 6.10.1+dfsg1-1
Date: Mon, 19 Jan 2009 13:32:16 +0000
Source: ghc6
Source-Version: 6.10.1+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
ghc6, which is due to be installed in the Debian FTP archive:

ghc6-doc_6.10.1+dfsg1-1_all.deb
  to pool/main/g/ghc6/ghc6-doc_6.10.1+dfsg1-1_all.deb
ghc6-prof_6.10.1+dfsg1-1_i386.deb
  to pool/main/g/ghc6/ghc6-prof_6.10.1+dfsg1-1_i386.deb
ghc6_6.10.1+dfsg1-1.diff.gz
  to pool/main/g/ghc6/ghc6_6.10.1+dfsg1-1.diff.gz
ghc6_6.10.1+dfsg1-1.dsc
  to pool/main/g/ghc6/ghc6_6.10.1+dfsg1-1.dsc
ghc6_6.10.1+dfsg1-1_i386.deb
  to pool/main/g/ghc6/ghc6_6.10.1+dfsg1-1_i386.deb
ghc6_6.10.1+dfsg1.orig.tar.gz
  to pool/main/g/ghc6/ghc6_6.10.1+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499137@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated ghc6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Jan 2009 12:03:16 +0200
Source: ghc6
Binary: ghc6 ghc6-prof ghc6-doc
Architecture: source i386 all
Version: 6.10.1+dfsg1-1
Distribution: experimental
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 ghc6       - GHC - the Glasgow Haskell Compilation system
 ghc6-doc   - Documentation for the Glasgow Haskell Compilation system
 ghc6-prof  - Profiling libraries for the Glasgow Haskell Compilation system
Closes: 365497 405717 495126 499137 499216 499217 506568 510499
Changes: 
 ghc6 (6.10.1+dfsg1-1) experimental; urgency=low
 .
   * New upstream release (Closes: #495126)
     * Change the calling conventions for unboxed tuples slightly.
       (Closes: #365497)
     * Better documentation for swapMVar. (Closes: #405717)
     * Don't change code in error messages. (Closes: #499137)
     * Improve error reporting for 'deriving' (Closes: #499216)
     * Better error message when -XRankNTypes is missing. (Closes: #499217)
     * ghc-pkg respects --global with 'field' option. (Closes: #510499)
   * Repackaged to remove a copy of GNU MP library.
   * Enable building the stage2 compiler on all architectures.
   * Added information about libffi (which is included with GHC) to
     debian/copyright.
   * Manage changes to the source with quilt.
   * Link against the system's libffi and add libffi-dev as a build
     dependency.
   * Build-dep on haddock >= 2.4.1-1.
   * Build-dep on libedit-dev, removed build-dep on libreadline-dev.
   * Patched gen_contents_index: fixed the case when not run inplace; trac
     #2764
   * Patched libraries/base/Data/Data.hs: use Prelude.(,,) for
     tuple3DataType; trac #2750
   * Added a trigger to ghc6-doc for /usr/share/doc/ghc6-doc/libraries to
     run gen_contents_index. (Closes: #506568)
Checksums-Sha1: 
 7551129d940499ebb0b6b6963011c8bf8c742a8c 1216 ghc6_6.10.1+dfsg1-1.dsc
 7b247fcd2ec8a51c2fe8521b31569ebe6544a64f 8582268 ghc6_6.10.1+dfsg1.orig.tar.gz
 0e50f2adc4f05595019ff24a6001c567dafbee93 25191 ghc6_6.10.1+dfsg1-1.diff.gz
 940533c558a50a9dc4a11a7e98b0d108ad97d3bd 36490206 ghc6_6.10.1+dfsg1-1_i386.deb
 2e32d5af81b5d12fb6075c26bad24e5c4d691f22 28855988 ghc6-prof_6.10.1+dfsg1-1_i386.deb
 abfcf9fd10be7f41a0395a9f0002c3a8c447993e 3831368 ghc6-doc_6.10.1+dfsg1-1_all.deb
Checksums-Sha256: 
 e3dabd55cdf6d4f59e6dae1e5f93e97deed09a08ae133b267bb0c2a21b3effd6 1216 ghc6_6.10.1+dfsg1-1.dsc
 1317c54eac40fb92a8ca092e29435508677c5b73bc2c5e3bf4ee94a0c84ff8d0 8582268 ghc6_6.10.1+dfsg1.orig.tar.gz
 4bf9da53009d2fa7418c8682a70f8191da7722cc8231ff509e2850d029a4a6ad 25191 ghc6_6.10.1+dfsg1-1.diff.gz
 8a24d62a681c17a2f0d82849f94b4242568c09b76e259ea0f894d762011fc290 36490206 ghc6_6.10.1+dfsg1-1_i386.deb
 605f0aa61a93a69f10aae5302eb9ef59d9d43cdb714b240eaf8c80442aaab969 28855988 ghc6-prof_6.10.1+dfsg1-1_i386.deb
 eda71cc541ca9523361ce2bf2f371d9ed4c50843047a176ff993daa8ec10707c 3831368 ghc6-doc_6.10.1+dfsg1-1_all.deb
Files: 
 fde975d35eb48f22aff44286895b1f2e 1216 devel optional ghc6_6.10.1+dfsg1-1.dsc
 fabf29b19bf3be09e69f7826c575c6e0 8582268 devel optional ghc6_6.10.1+dfsg1.orig.tar.gz
 a8c77ccfabe81d182c4a8a2672d39281 25191 devel optional ghc6_6.10.1+dfsg1-1.diff.gz
 cb87bcb3c6c841eaf1a12612f246ad50 36490206 devel optional ghc6_6.10.1+dfsg1-1_i386.deb
 985a02b5d839c9da95733da6b19afef6 28855988 devel optional ghc6-prof_6.10.1+dfsg1-1_i386.deb
 8bcb1a6f681f82f81398ff3938cc2164 3831368 doc optional ghc6-doc_6.10.1+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl0d94ACgkQeYl9593Atw3hgQCgsbaXVAFB0ZnbS00YzKsHPaj0
lCoAoL/o4wk5vL8GWSiONZk5Xr9Si/SX
=qWaq
-----END PGP SIGNATURE-----





Changed Bug submitter to 'Marco Túlio Gontijo e Silva <marcot@debian.org>' from 'Marco Túlio Gontijo e Silva <marcot@riseup.net>' Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 18:40:01 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Mar 2010 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:29:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.